Use the Lakera self-hosted instead of the cloud-hosted SaaS
Use the Lakera self-hosted instead of the cloud-hosted SaaS.
Prerequisites
- You have a Lakera account and an API key.
Environment variables
LAKERA_SERVICE_URL: The URL of your self-hosted Lakera Guard service.
ai_gateway_policies:
- ref: use-the-lakera-self-hosted-instead-of-cloud-hosted-saas
ai_gateway: !lookup {id: !env AI_GATEWAY_ID}
name: use-the-lakera-self-hosted-instead-of-cloud-hosted-saas
display_name: Use the Lakera self-hosted instead of the cloud-hosted SaaS
type: ai-lakera-guard
enabled: true
config:
lakera_service_url: !env LAKERA_SERVICE_URL
global: falseMake sure to replace the following placeholders with your own values:
-
AI_GATEWAY_ID: Theidof your AI Gateway. -
!env LAKERA_SERVICE_URL: The URL of your self-hosted Lakera Guard service.
curl -X POST https://{region}.api.konghq.com/v1/ai-gateways/{AIGatewayId}/policies \
--header "accept: application/json" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $KONNECT_TOKEN" \
--data '
{
"name": "use-the-lakera-self-hosted-instead-of-cloud-hosted-saas",
"display_name": "Use the Lakera self-hosted instead of the cloud-hosted SaaS",
"type": "ai-lakera-guard",
"enabled": true,
"config": {
"lakera_service_url": "'$LAKERA_SERVICE_URL'"
},
"global": false
}
'Make sure to replace the following placeholders with your own values:
-
region: Geographic region where your Kong Konnect is hosted and operates. -
KONNECT_TOKEN: Your Personal Access Token (PAT) associated with your Konnect account. -
AIGatewayId: Theidof the AI Gateway.
See the Konnect AI Gateway API reference to learn about region-specific URLs and personal access tokens.
Prerequisite: Configure your Personal Access Token
terraform {
required_providers {
konnect = {
source = "kong/konnect"
}
}
}
provider "konnect" {
personal_access_token = "$KONNECT_TOKEN"
server_url = "https://us.api.konghq.com/"
}Add the following to your Terraform configuration:
resource "konnect_ai_gateway_policy" "my_policy" {
name = "use-the-lakera-self-hosted-instead-of-cloud-hosted-saas"
display_name = "Use the Lakera self-hosted instead of the cloud-hosted SaaS"
type = "ai-lakera-guard"
enabled = true
global = false
config = jsonencode({
lakera_service_url = var.lakera_service_url
})
gateway_id = konnect_ai_gateway.my_ai_gateway.id
}This example requires the following variables to be added to your manifest. You can specify values at runtime by setting TF_VAR_name=value.
variable "lakera_service_url" {
type = string
}ai_gateway_policies:
- ref: use-the-lakera-self-hosted-instead-of-cloud-hosted-saas
ai_gateway: !lookup {id: !env AI_GATEWAY_ID}
name: use-the-lakera-self-hosted-instead-of-cloud-hosted-saas
display_name: Use the Lakera self-hosted instead of the cloud-hosted SaaS
type: ai-lakera-guard
enabled: true
config:
lakera_service_url: !env LAKERA_SERVICE_URL
global: falseMake sure to replace the following placeholders with your own values:
-
AI_GATEWAY_ID: Theidof your AI Gateway. -
!env LAKERA_SERVICE_URL: The URL of your self-hosted Lakera Guard service.
curl -X POST https://{region}.api.konghq.com/v1/ai-gateways/{AIGatewayId}/policies \
--header "accept: application/json" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $KONNECT_TOKEN" \
--data '
{
"name": "use-the-lakera-self-hosted-instead-of-cloud-hosted-saas",
"display_name": "Use the Lakera self-hosted instead of the cloud-hosted SaaS",
"type": "ai-lakera-guard",
"enabled": true,
"config": {
"lakera_service_url": "'$LAKERA_SERVICE_URL'"
},
"global": false
}
'Make sure to replace the following placeholders with your own values:
-
region: Geographic region where your Kong Konnect is hosted and operates. -
KONNECT_TOKEN: Your Personal Access Token (PAT) associated with your Konnect account. -
AIGatewayId: Theidof the AI Gateway.
See the Konnect AI Gateway API reference to learn about region-specific URLs and personal access tokens.
Prerequisite: Configure your Personal Access Token
terraform {
required_providers {
konnect = {
source = "kong/konnect"
}
}
}
provider "konnect" {
personal_access_token = "$KONNECT_TOKEN"
server_url = "https://us.api.konghq.com/"
}Add the following to your Terraform configuration:
resource "konnect_ai_gateway_policy" "my_policy" {
name = "use-the-lakera-self-hosted-instead-of-cloud-hosted-saas"
display_name = "Use the Lakera self-hosted instead of the cloud-hosted SaaS"
type = "ai-lakera-guard"
enabled = true
global = false
config = jsonencode({
lakera_service_url = var.lakera_service_url
})
gateway_id = konnect_ai_gateway.my_ai_gateway.id
}This example requires the following variables to be added to your manifest. You can specify values at runtime by setting TF_VAR_name=value.
variable "lakera_service_url" {
type = string
}ai_gateway_policies:
- ref: use-the-lakera-self-hosted-instead-of-cloud-hosted-saas
ai_gateway: !lookup {id: !env AI_GATEWAY_ID}
name: use-the-lakera-self-hosted-instead-of-cloud-hosted-saas
display_name: Use the Lakera self-hosted instead of the cloud-hosted SaaS
type: ai-lakera-guard
enabled: true
config:
lakera_service_url: !env LAKERA_SERVICE_URL
global: falseMake sure to replace the following placeholders with your own values:
-
AI_GATEWAY_ID: Theidof your AI Gateway. -
!env LAKERA_SERVICE_URL: The URL of your self-hosted Lakera Guard service.
curl -X POST https://{region}.api.konghq.com/v1/ai-gateways/{AIGatewayId}/policies \
--header "accept: application/json" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $KONNECT_TOKEN" \
--data '
{
"name": "use-the-lakera-self-hosted-instead-of-cloud-hosted-saas",
"display_name": "Use the Lakera self-hosted instead of the cloud-hosted SaaS",
"type": "ai-lakera-guard",
"enabled": true,
"config": {
"lakera_service_url": "'$LAKERA_SERVICE_URL'"
},
"global": false
}
'Make sure to replace the following placeholders with your own values:
-
region: Geographic region where your Kong Konnect is hosted and operates. -
KONNECT_TOKEN: Your Personal Access Token (PAT) associated with your Konnect account. -
AIGatewayId: Theidof the AI Gateway.
See the Konnect AI Gateway API reference to learn about region-specific URLs and personal access tokens.
Prerequisite: Configure your Personal Access Token
terraform {
required_providers {
konnect = {
source = "kong/konnect"
}
}
}
provider "konnect" {
personal_access_token = "$KONNECT_TOKEN"
server_url = "https://us.api.konghq.com/"
}Add the following to your Terraform configuration:
resource "konnect_ai_gateway_policy" "my_policy" {
name = "use-the-lakera-self-hosted-instead-of-cloud-hosted-saas"
display_name = "Use the Lakera self-hosted instead of the cloud-hosted SaaS"
type = "ai-lakera-guard"
enabled = true
global = false
config = jsonencode({
lakera_service_url = var.lakera_service_url
})
gateway_id = konnect_ai_gateway.my_ai_gateway.id
}This example requires the following variables to be added to your manifest. You can specify values at runtime by setting TF_VAR_name=value.
variable "lakera_service_url" {
type = string
}ai_gateway_policies:
- ref: use-the-lakera-self-hosted-instead-of-cloud-hosted-saas
ai_gateway: !lookup {id: !env AI_GATEWAY_ID}
name: use-the-lakera-self-hosted-instead-of-cloud-hosted-saas
display_name: Use the Lakera self-hosted instead of the cloud-hosted SaaS
type: ai-lakera-guard
enabled: true
config:
lakera_service_url: !env LAKERA_SERVICE_URL
global: trueMake sure to replace the following placeholders with your own values:
-
AI_GATEWAY_ID: Theidof your AI Gateway. -
!env LAKERA_SERVICE_URL: The URL of your self-hosted Lakera Guard service.
curl -X POST https://{region}.api.konghq.com/v1/ai-gateways/{AIGatewayId}/policies \
--header "accept: application/json" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $KONNECT_TOKEN" \
--data '
{
"name": "use-the-lakera-self-hosted-instead-of-cloud-hosted-saas",
"display_name": "Use the Lakera self-hosted instead of the cloud-hosted SaaS",
"type": "ai-lakera-guard",
"enabled": true,
"config": {
"lakera_service_url": "'$LAKERA_SERVICE_URL'"
},
"global": true
}
'Make sure to replace the following placeholders with your own values:
-
region: Geographic region where your Kong Konnect is hosted and operates. -
KONNECT_TOKEN: Your Personal Access Token (PAT) associated with your Konnect account. -
AIGatewayId: Theidof the AI Gateway.
See the Konnect AI Gateway API reference to learn about region-specific URLs and personal access tokens.
Prerequisite: Configure your Personal Access Token
terraform {
required_providers {
konnect = {
source = "kong/konnect"
}
}
}
provider "konnect" {
personal_access_token = "$KONNECT_TOKEN"
server_url = "https://us.api.konghq.com/"
}Add the following to your Terraform configuration:
resource "konnect_ai_gateway_policy" "my_policy" {
name = "use-the-lakera-self-hosted-instead-of-cloud-hosted-saas"
display_name = "Use the Lakera self-hosted instead of the cloud-hosted SaaS"
type = "ai-lakera-guard"
enabled = true
global = true
config = jsonencode({
lakera_service_url = var.lakera_service_url
})
gateway_id = konnect_ai_gateway.my_ai_gateway.id
}This example requires the following variables to be added to your manifest. You can specify values at runtime by setting TF_VAR_name=value.
variable "lakera_service_url" {
type = string
}After creating the policy, add use-the-lakera-self-hosted-instead-of-cloud-hosted-saas to the policies array of your AI Model. The tool examples update an existing AI Model with the policy attached: replace the entity configuration in the example with your own, as the update replaces the entire AI Model.
ai_gateway_models:
- ref: my-gpt-4o
ai_gateway: !lookup {id: !env AI_GATEWAY_ID}
display_name: my-gpt-4o
name: my-gpt-4o
type: model
capabilities:
- generate
formats:
- type: openai
targets:
- name: gpt-4o
provider: my-openai-account
config:
type: openai
config:
route:
paths:
- "/v1"
model:
body_param: model
values:
- my-gpt-4o
logging:
payloads: false
policies:
- !ref use-the-lakera-self-hosted-instead-of-cloud-hosted-saas#nameAfter creating the policy, add use-the-lakera-self-hosted-instead-of-cloud-hosted-saas to the policies array of your AI Model. The tool examples update an existing AI Model with the policy attached: replace the entity configuration in the example with your own, as the update replaces the entire AI Model.
curl -X PUT https://{region}.api.konghq.com/v1/ai-gateways/{AIGatewayId}/models/my-gpt-4o \
--header "accept: application/json" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $KONNECT_TOKEN" \
--data '
{
"display_name": "my-gpt-4o",
"name": "my-gpt-4o",
"type": "model",
"capabilities": [
"generate"
],
"formats": [
{
"type": "openai"
}
],
"policies": [
"use-the-lakera-self-hosted-instead-of-cloud-hosted-saas"
],
"targets": [
{
"name": "gpt-4o",
"provider": "my-openai-account",
"config": {
"type": "openai"
}
}
],
"config": {
"route": {
"paths": [
"/v1"
],
"model": {
"body_param": "model",
"values": [
"my-gpt-4o"
]
}
},
"logging": {
"payloads": false
}
}
}
'After creating the policy, add use-the-lakera-self-hosted-instead-of-cloud-hosted-saas to the policies array of your AI Model. The tool examples update an existing AI Model with the policy attached: replace the entity configuration in the example with your own, as the update replaces the entire AI Model.
resource "konnect_ai_gateway_model" "my_model" {
display_name = "my-gpt-4o"
name = "my-gpt-4o"
type = "model"
capabilities = ["generate"]
formats = [
{
type = "openai"
} ]
targets = [
{
name = "gpt-4o"
provider = "my-openai-account"
config = {
type = "openai"
}
} ]
config = jsonencode({
route = {
paths = ["/v1"]
model = {
body_param = "model"
values = ["my-gpt-4o"]
}
}
logging = {
payloads = false
}
})
policies = [konnect_ai_gateway_policy.my_policy.name]
gateway_id = konnect_ai_gateway.my_ai_gateway.id
}This example requires the following variables to be added to your manifest. You can specify values at runtime by setting TF_VAR_name=value.
variable "lakera_service_url" {
type = string
}After creating the policy, add use-the-lakera-self-hosted-instead-of-cloud-hosted-saas to the policies array of your AI Consumer. The tool examples update an existing AI Consumer with the policy attached: replace the entity configuration in the example with your own, as the update replaces the entire AI Consumer.
ai_gateway_consumers:
- ref: mobile-app-production
ai_gateway: !lookup {id: !env AI_GATEWAY_ID}
display_name: Mobile App - Production
name: mobile-app-production
type: api-key
policies:
- !ref use-the-lakera-self-hosted-instead-of-cloud-hosted-saas#nameAfter creating the policy, add use-the-lakera-self-hosted-instead-of-cloud-hosted-saas to the policies array of your AI Consumer. The tool examples update an existing AI Consumer with the policy attached: replace the entity configuration in the example with your own, as the update replaces the entire AI Consumer.
curl -X PUT https://{region}.api.konghq.com/v1/ai-gateways/{AIGatewayId}/consumers/mobile-app-production \
--header "accept: application/json" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $KONNECT_TOKEN" \
--data '
{
"display_name": "Mobile App - Production",
"name": "mobile-app-production",
"type": "api-key",
"policies": [
"use-the-lakera-self-hosted-instead-of-cloud-hosted-saas"
]
}
'After creating the policy, add use-the-lakera-self-hosted-instead-of-cloud-hosted-saas to the policies array of your AI Consumer. The tool examples update an existing AI Consumer with the policy attached: replace the entity configuration in the example with your own, as the update replaces the entire AI Consumer.
resource "konnect_ai_gateway_consumer" "my_consumer" {
display_name = "Mobile App - Production"
name = "mobile-app-production"
type = "api-key"
policies = [konnect_ai_gateway_policy.my_policy.name]
gateway_id = konnect_ai_gateway.my_ai_gateway.id
}This example requires the following variables to be added to your manifest. You can specify values at runtime by setting TF_VAR_name=value.
variable "lakera_service_url" {
type = string
}After creating the policy, add use-the-lakera-self-hosted-instead-of-cloud-hosted-saas to the policies array of your AI Consumer Group. The tool examples update an existing AI Consumer Group with the policy attached: replace the entity configuration in the example with your own, as the update replaces the entire AI Consumer Group.
ai_gateway_consumer_groups:
- ref: internal-teams
ai_gateway: !lookup {id: !env AI_GATEWAY_ID}
display_name: Internal Teams
name: internal-teams
policies:
- !ref use-the-lakera-self-hosted-instead-of-cloud-hosted-saas#nameAfter creating the policy, add use-the-lakera-self-hosted-instead-of-cloud-hosted-saas to the policies array of your AI Consumer Group. The tool examples update an existing AI Consumer Group with the policy attached: replace the entity configuration in the example with your own, as the update replaces the entire AI Consumer Group.
curl -X PUT https://{region}.api.konghq.com/v1/ai-gateways/{AIGatewayId}/consumer-groups/internal-teams \
--header "accept: application/json" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $KONNECT_TOKEN" \
--data '
{
"display_name": "Internal Teams",
"name": "internal-teams",
"policies": [
"use-the-lakera-self-hosted-instead-of-cloud-hosted-saas"
]
}
'After creating the policy, add use-the-lakera-self-hosted-instead-of-cloud-hosted-saas to the policies array of your AI Consumer Group. The tool examples update an existing AI Consumer Group with the policy attached: replace the entity configuration in the example with your own, as the update replaces the entire AI Consumer Group.
resource "konnect_ai_gateway_consumer_group" "my_consumer_group" {
display_name = "Internal Teams"
name = "internal-teams"
policies = [konnect_ai_gateway_policy.my_policy.name]
gateway_id = konnect_ai_gateway.my_ai_gateway.id
}This example requires the following variables to be added to your manifest. You can specify values at runtime by setting TF_VAR_name=value.
variable "lakera_service_url" {
type = string
}